API ReferenceAuth Configs

Get single authentication configuration by IDv3.1

GET
/api/v3.1/auth_configs/{nanoid}

Retrieves detailed information about a specific authentication configuration using its unique identifier.

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

nanoidstringRequired

The unique identifier of the authentication configuration to retrieve

Format: authConfigId

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3.1/auth_configs/string"
{  "id": "string",  "uuid": "string",  "type": "default",  "toolkit": {    "slug": "string",    "logo": "string",    "auth_guide_url": "string",    "auth_hint_url": "string"  },  "name": "string",  "auth_scheme": "OAUTH2",  "is_composio_managed": true,  "credentials": {    "property1": null,    "property2": null  },  "proxy_config": {    "proxy_url": "http://example.com",    "proxy_auth_key": "string"  },  "status": "ENABLED",  "created_by": "string",  "created_at": "string",  "last_updated_at": "string",  "no_of_connections": 0,  "expected_input_fields": [    {}  ],  "restrict_to_following_tools": [    "string"  ],  "tool_access_config": {    "tools_for_connected_account_creation": [],    "tools_available_for_execution": []  },  "shared_credentials": {    "property1": null,    "property2": null  },  "is_enabled_for_tool_router": true}